version: '3.1'
services:
  db:
    hostname: mysql
    image: mysql
    restart: always
    volumes:
      - db_data:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: password
    ports:
      - 3306:3306
  adminer:
    hostname: mysql
    image: adminer
    restart: always
    ports:
      - 8082:8080
    depends_on:
      - db

  signup:
    hostname: sign-up
    image: signup:v1
    restart: always
    environment:
      DB_CONNECTION_IP: db
    depends_on:
      - db
    ports:
      - 8085:8080

volumes:
  db_data: